﻿@model SportsClub.Models.CampaignViewModelStep2
@{
    Layout = null;
}
<style>
    .icon {
        padding: 2px 0;
        font-size: 22px;
        color: #006cc2;
        display: inline-block;
        position: relative;
        z-index: 9;
        cursor: pointer;
    }
    .icon-msg-box {
        bottom: 34px;
        width: 300px;
        padding: 15px;
        position: absolute;
        background-color: #006cc2;
        color: #fff;
        border-radius: 4px;
        display: none;
        z-index: 8;
    }
</style>
<form name="CampaignStep2" novalidate ng-submit="SaveStep2()">
    <div class="view-container">
        <div class="title-bar">
            @*<div class="back">
                    <a class="action" ng-class="{hide: MC.stateParams.campaignType != 'SomePeople'}" ng-click="GoStep1()" >
                        <i class="icon-arrow-left fg-black"></i>
                    </a>
                </div>*@
            <div class="title">
                <h1>
                    Content
                </h1>
            </div>
            <div class="actions">
            </div>
            <div class="clearfix"></div>
            <hr />
        </div>
        <nav class="step-navigator campaign breadcrumbs">
            <ul>
                @*  CLASSES = done , active , last *@
                <li class="done"><a>Recipients</a></li>
                <li class="active"><a>Content</a></li>
                <li class="last"><a>Scheduling</a></li>
                <li class="last"><a>Preview</a></li>
                <!-- DO NOT DELETE THIS -->
                @*<li style="visibility: hidden; height: 0px;"><a href="#">DO NOT DELETE THIS</a></li>
                    <li style="visibility: hidden; height: 0px;"><a href="#">DO NOT DELETE THIS</a></li>*@
                <!-- / DO NOT DELETE THIS -->
            </ul>
        </nav>

        <fieldset  ng-show="!Model.IsUserRestrictedManager"  ngaction="CampaignRecipients_View">
            <legend>Recipients</legend>
            <span class="message"><button type="button" class="default" ng-click="editRecipients()">Click here</button> to view or edit recipient list.</span>
        </fieldset>

        <div class="span6 inline-form-text"> 
        <label class="req-star inline-block">Campaign name</label>
            <div style="display:inline-block;position:relative">
                <i class="jbi-info on-left-more icon"></i>
                <div class="icon-msg-box">
                    Enter a name to help you remember what this campaign is all about. Only you will see the campaign name, not your contacts.
                </div>
            </div>
        </div>
       
        <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.CampaignName)>
            <input ng-model="@Html.Ang(model => model.CampaignName)" type="text" @Html.AngTooltipValidationFor(model => model.CampaignName)>
        </div>
        <fieldset>

            <legend>Sender</legend>

            <label>From</label>
            <div>
                <div class="input-control text" data-role="input-control">
                    <input placeholder="Sender email" readonly ng-model="@Html.Ang(m => m.From)" name="From" type="text">
                </div>
            </div>
            <div class="clearfix"></div>
            <label class="req-star">Reply to</label>

            <div class="input-control select" data-role="input-control">
                <div>
                    <div class="input-control radio">
                        <div class="input-control radio default-style place-left no-margin" data-role="input-control">
                            <label class="block">
                                <input ng-model="@Html.Ang(m => m.IsReplyToEmailSet)" name="IsReplyToEmailSet" ng-value="false" type="radio" />
                                <span class="check"></span>
                                Enter email
                            </label>
                        </div>
                        <br />
                    </div>
                    <div class="input-control text" data-role="input-control" ng-show="!Model.IsReplyToEmailSet" @Html.AngValidationClassFor(model => model.ReplyTo)>
                        <input ng-model="@Html.Ang(m => m.ReplyTo)" name="From" type="text" @Html.AngTooltipValidationFor(model => model.ReplyTo)>

                    </div>
                    <div class="clearfix"></div>
                    <div class="input-control radio">
                        <div class="input-control radio default-style place-left no-margin" data-role="input-control">
                            <label class="block">
                                <input ng-model="@Html.Ang(m => m.IsReplyToEmailSet)" name="IsReplyToEmailSet" ng-value="true" type="radio" />
                                <span class="check"></span>
                                Select from listbox
                            </label>
                        </div>
                    </div>
                    <div class="input-control select" data-role="input-control" @Html.AngValidationClassFor(model => model.ReplyTo) ng-show="Model.IsReplyToEmailSet">
                        <select ng-model="@Html.Ang(m => m.ReplyTo)"
                                name="selectedStaff" data-placeholder="Select Cc"
                                ng-options="obj.Value as obj.Text for obj in Model.ListUsersReplyTo" @Html.AngTooltipValidationFor(model => model.ReplyTo)></select>
                    </div>

                    <div class="clearfix"></div>
                </div>
            </div>

            <div class="clearfix"></div>
            <label style="display: inline">
                Cc list
            </label>

            <div class="input-control select" data-role="input-control">
                <div>
                    <div class="input-control radio">
                        <div class="input-control radio default-style place-left no-margin" data-role="input-control">
                            <label class="block">
                                <input ng-model="@Html.Ang(m => m.IsCcListEmailSet)" name="IsCcListEmailSet" ng-value="false" type="radio" />
                                <span class="check"></span>
                                Enter email
                            </label>
                        </div>
                        <br />
                    </div>
                    <div class="input-control text" data-role="input-control" ng-show="!Model.IsCcListEmailSet" @Html.AngValidationClassFor(model => model.Ccs)>
                        <input placeholder="Comma separated list of emails (example1@gmail.com, example2@gmail.com)" ng-model="@Html.Ang(m => m.Ccs)" name="From" type="text" @Html.AngTooltipValidationFor(model => model.Ccs)>
                    </div>
                    <div class="clearfix"></div>
                    <div class="input-control radio">
                        <div class="input-control radio default-style place-left no-margin" data-role="input-control">
                            <label class="block">
                                <input ng-model="@Html.Ang(m => m.IsCcListEmailSet)" name="IsCcListEmailSet" ng-value="true" type="radio" />
                                <span class="check"></span>
                                Select from listbox
                            </label>
                        </div>
                    </div>
                    <div class="input-control select" data-role="input-control" ng-show="Model.IsCcListEmailSet">
                        <select chosen multiple ng-model="@Html.Ang(m => m.SelectedUser)"
                                name="selectedStaff" data-placeholder="Select Cc"
                                ng-options="obj.Value as obj.Text for obj in Model.ListUsersReplyTo"></select>
                    </div>

                    <div class="clearfix"></div>
                </div>
            </div>


            <div class="clearfix"></div>
            <label class="req-star">Subject</label>
            <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.Subject)>
                <input type="text" ng-model="@Html.Ang(m => m.Subject)" @Html.AngTooltipValidationFor(model => model.Subject)>
            </div>
        </fieldset>

        <fieldset>
            <legend>Email body</legend>
            <label>Choose email style</label>
            <div class="input-control select" data-role="input-control">
                <div>
                    <div class="input-control radio">
                        <div class="input-control radio default-style place-left no-margin" data-role="input-control">
                            <label class="block">
                                <input ng-model="Model.EmailStyle" name="emailStyle" value="Text" type="radio" ng-change="fixTextIssueInEditro()" />
                                <span class="check"></span>
                                Plain text<br />
                                <p><i>Send campaign with a simple plain-text email.</i></p>
                            </label>
                        </div>
                        <br />
                        <div class="input-control radio default-style place-left no-margin" data-role="input-control">
                            <label class="block">
                                <input ng-model="Model.EmailStyle" name="emailStyle" value="Template" type="radio" ng-change="fixTextIssueInEditro()" />
                                <span class="check"></span>
                                HTML Campaign<br />
                                <p><i>Send campaign with a HTML template.</i></p>
                            </label>
                        </div>
                    </div>
                    <hr />
                    <div class="clearfix"></div>
                </div>
            </div>

            <div ng-show="Model.EmailStyle == 'Template'">
                <label>Choose from template</label>
                <div class="input-control select" data-role="input-control" @Html.AngValidationClassFor(model => model.SelectedTemplateId)>
                    <div @Html.AngTooltipValidationFor(model => model.SelectedTemplateId)>
                        <select ng-model="Model.SelectedTemplateId"
                                ng-change="ChangeTemplate(Model.SelectedTemplateId)"
                                ng-options="temp.Value as temp.Text for temp in Model.TemplateNames"></select>
                    </div>
                </div>

                <div ng-show="Model.SelectedTemplateId == '0'">
                    <label class="req-star">New template name</label>
                    <div class="input-control text" data-role="input-control" @Html.AngValidationClass("MailTemplate.NewName")>
                        <input type="text" ng-model="Model.MailTemplate.NewName" @Html.AngTooltipValidation("MailTemplate.NewName")>
                    </div>
                </div>

                <div class="clearfix margin-bottom20"></div>

                <div data-role="input-control">
                    <div ng-include="'/Dashboard/_EmailCampaignTemplateDesigner'"></div>
                </div>
            </div>

            <div ng-show="Model.EmailStyle == 'Text'">
                <div class="editor-body" ng-class="{'error-state':MC.isEmpty(errors.formErrors['model.Body'].Messages)}">
                    <div ng-hide="MC.stateParams.templateId || MC.stateParams.templateId == ''" data-toggle="tooltip" data-placement="top" data-original-title="{{MC.joinStringsWithBreak(errors.formErrors['model.Body'].Messages)}}" jb-tooltip data-html="true">
                        <textarea id="editor" kendo-editor k-tools="['fontName','bold','italic','underline','strikethrough','fontSize','justifyLeft','justifyCenter','justifyRight','justifyFull','foreColor','insertUnorderedList','insertOrderedList','indent','outdent','createLink','unlink','insertImage','cleanFormatting','backColor','viewHtml']" k-ng-model="Model.Body"></textarea>
                    </div>
                    <div ng-show="MC.stateParams.templateId || MC.stateParams.templateId == ''" style="height:200px; text-align: center; line-height:200px; border: 1px dashed; color:lightgray"><span style="display: block;margin: 0 auto;width: 50%;text-align: center">EMAIL BODY COMES HERE</span></div>
                </div>
            </div>

        </fieldset>

        <fieldset>
            <legend>Attachments</legend>
            <div class="k-content">
                <div class="box-col">
                    <input name="attachment"
                           type="file"
                           kendo-upload
                           k-success="OnUploaderSuccess"
                           k-async="{ saveUrl: '@Url.Action("UploadAttachments","Campaign")', removeUrl: '@Url.Action("DeleteUploadedFile", "Campaign")', autoUpload: true }" />
                </div>
            </div>

            <div ng-show="Model.Attachments && Model.Attachments.length > 0">
                <div class="k-upload-files">
                    <ul class="k-upload-files k-reset" ng-repeat="attach in Model.Attachments">
                        <li class="k-file k-file-success">
                            <span class="k-filename" title="{{attach.FileName}}">{{attach.FileName}}</span>
                            <strong class="k-upload-status">
                                <button type="button" class="k-button k-button-bare k-upload-action" ng-click='removeOldAttachments(attach.FileName)'>
                                    <span class="k-icon k-i-close k-delete" title="Remove"></span>
                                </button>
                            </strong>
                        </li>
                    </ul>
                </div>
            </div>
        </fieldset>

        <hr />
        <button type="submit" class="success large place-right button">Save & continue</button>
        <div class="clearfix"></div>
    </div>
</form>